[Overview][Types][Classes][Variables][Index] | Reference for unit 'LCLClasses' (#lcl)

# TLCLComponent.Destroy

Destructor for the class instance.

## Declaration

Source position: lclclasses.pp line 56

`public destructor TLCLComponent.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy provides support for additional debugging information when DebugLCLComponents has been defined. Destroy calls the inherited destructor prior to exiting from the method.